JaxbReturnElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbReturnElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbReturnElement

    public class JaxbReturnElement

extends Object

Java class for return-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="return-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded" minOccurs="0">
             <element name="return-discriminator" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="column" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="return-property" type="{http://www.hibernate.org/xsd/hibernate-mapping}return-property-element"/>
           </sequence>
           <attribute name="alias" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lock-mode" type="{http://www.hibernate.org/xsd/hibernate-mapping}lock-mode-attribute" default="read" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `JaxbReturnElement.JaxbReturnDiscriminator` Java class for anonymous complex type.

Field Summary
`protected String` | `alias`
`protected String` | `clazz`
`protected String` | `entityName`
`protected JaxbLockModeAttribute` | `lockMode`
`protected List<Object>` | `returnDiscriminatorAndReturnProperty`

Constructor Summary
`JaxbReturnElement()`

Method Summary
`String` | `getAlias()` Gets the value of the alias property.
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getEntityName()` Gets the value of the entityName property.
`JaxbLockModeAttribute` | `getLockMode()` Gets the value of the lockMode property.
`List<Object>` | `getReturnDiscriminatorAndReturnProperty()` Gets the value of the returnDiscriminatorAndReturnProperty property.
`void` | `setAlias(String value)` Sets the value of the alias property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setLockMode(JaxbLockModeAttribute value)` Sets the value of the lockMode property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returnDiscriminatorAndReturnProperty

    protected List<Object> returnDiscriminatorAndReturnProperty

### alias

    protected String alias

### clazz

    protected String clazz

### entityName

    protected String entityName

### lockMode

    protected JaxbLockModeAttribute lockMode

Constructor Detail

### JaxbReturnElement

    public JaxbReturnElement()

Method Detail

### getReturnDiscriminatorAndReturnProperty

    public List<Object> getReturnDiscriminatorAndReturnProperty()

  Gets the value of the returnDiscriminatorAndReturnProperty property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the returnDiscriminatorAndReturnProperty property.

  For example, to add a new item, do as follows:

          getReturnDiscriminatorAndReturnProperty().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbReturnElement.JaxbReturnDiscriminator` `JaxbReturnPropertyElement`

### getAlias

    public String getAlias()

  Gets the value of the alias property.

  Returns:
    possible object is `String`

### setAlias

    public void setAlias(String value)

  Sets the value of the alias property.

  Parameters:
    `value` - allowed object is `String`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getLockMode

    public JaxbLockModeAttribute getLockMode()

  Gets the value of the lockMode property.

  Returns:
    possible object is `JaxbLockModeAttribute`

### setLockMode

    public void setLockMode(JaxbLockModeAttribute value)

  Sets the value of the lockMode property.

  Parameters:
    `value` - allowed object is `JaxbLockModeAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.